var cache = new Array();
var lang = new Array(['bb']);
var arrTopic = new Array();
var preview = new Array();
lang[0][0] = "left";
lang[0][1] = "Введите количество сообщений на форуме";
lang[0][2] = "Введите полный URL ссылки";
lang[0][3] = "Введите размеры флэш ролика (ширина, высота)";
lang[0][4] = "Введите ссылку на флэш ролик";
lang[0][5] = "Введите номер страницы";
lang[0][6] = "Введите название сайта";
lang[0][7] = "Введите описание ссылки";
lang[0][8] = "Введите полный URL изображения";
lang[0][9] = "Введите e-mail адрес";
lang[0][10] = "Введите пункт списка. Для завершения ввода оставьте поле пустым.";
lang[0][11] = "Использование: [CODE] Здесь Ваш код.. [/CODE]";
lang[0][12] = "Использование: [QUOTE] Здесь Ваша Цитата.. [/QUOTE]";
lang[0][13] = "Вы должны ввести URL";
lang[0][14] = "Вы должны ввести название";
lang[0][15] = "Вы должны ввести e-mail адрес";
lang[0][16] = "Введите текст для форматирования";
lang[0][17] = "Введите по какому краю выравнивать картинку (left, center, right)";
lang[0][18] = "Введите описание ссылки";
lang[0][19] = "Ввод информации";
lang[0][20] = "Вставка смайликов";
lang[0][21] = "Цвет:";
lang[0][22] = ["Да", "Нет", "Ввод", "Отмена"];
lang[0][23] = ['Информация', 'Отправить', "Отмена"];
function ins_colors( buttonElement )
{
		document.getElementById(selField).focus();
		if ( is_ie )
		{
			document.getElementById(selField).focus();
			ie_range_cache = document.selection.createRange();
		}
		$("#piker_minis").remove();

		$("body").append("<div id='piker_minis' title='Цвет:' style='display:none'>"+ document.getElementById('piker_mini').innerHTML +"</div>");

		var w = '175';
		var h = 'auto';

		if ( $('#piker_mini').width() >= 175 )  {$('#piker_mini').width(175); w = '180';}
		if ( $('#piker_mini').height() >= 300 ) { $('#piker_mini').height(300); h = '340';}

		$('#piker_minis').dialog({
				autoOpen: true,
				dialogClass: "piceker_color",
				width: w,
				height: h
			});

	$('.modalfixed.ui-dialog').css({position:"fixed"});
	$('#piker_minis').dialog( "option", "position", ['0','0'] );	
}
function setColorPicker(elements){ 
	$(".piceker_color").remove();
	setColor(elements.split('#')[1]); 
}

function doTopicGetAjax() {
  var page = $('#ajaxGetTopic').attr("data-type");
  if (!page) {
    Alert_popup('Не удалось определить параметры передачи, обновите страницу.', lang[0][23][0]);
    return false;
  }
  Ajax_Loading('');
  $.post(document.URL, {
    action: 'categories',
    page: page
  }, function (data) {
    if (data.param == 1) {
      $("#paginationForum").replaceWith(data.pagination)
      $("#ajaxGetTopic").replaceWith(data.linck)
      $(data.data).appendTo("#contentBoxAppendTo");
    } else {
      Alert_popup('Входе работы произошла ошибка.', lang[0][23][0]);
      return;
    }
  }, "json");
  Ajax_close('');
  return false;
}

function doTopicPreview(id) {
  var closed = $('#topic_item-' + id + ' .icon .topicPreview').attr("data-type");
  $('ol#topicPreview').hide('blind', {}, 500);
  $('ol#topicPreview').remove();
  $('#contentBoxAppendTo li').removeClass("elementShowPreview");
  if (closed == 1) {
    $('span.topicPreview').removeClass("loaderParamTopic, loaderParamCloze");
    $('#topic_item-' + id + ' .icon .topicPreview').removeAttr("data-type")
    return false;
  }
  $('.icon .topicPreview').removeAttr("data-type")
  $('span.topicPreview').removeClass("loaderParamTopic, loaderParamCloze");
  $('#topic_item-' + id + ' .icon .topicPreview').addClass("loaderParamTopic");
  if (preview[id]) {
    $('#topic_item-' + id).after(preview[id]);
    $('#topic_item-' + id + ' .icon .topicPreview').removeClass("loaderParamTopic");
    $('#topic_item-' + id + ' .icon .topicPreview').attr("data-type", 1);
    $('#topic_item-' + id + ' .icon .topicPreview').addClass("loaderParamCloze");
    $('#topic_item-' + id).addClass("elementShowPreview");
    $('ol#topicPreview').show('blind', {}, 500);
    return false;
  }
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'get_topic_preview',
    id: id
  }, function (data) {
    if (data.param == 1) {
      $('#topic_item-' + id).after(data.data);
      $('#topic_item-' + id + ' .icon .topicPreview').removeClass("loaderParamTopic");
      $('#topic_item-' + id + ' .icon .topicPreview').attr("data-type", 1);
      $('#topic_item-' + id + ' .icon .topicPreview').addClass("loaderParamCloze");
      $('#topic_item-' + id).addClass("elementShowPreview");
      $('ol#topicPreview').show('blind', {}, 500);
      preview[id] = $('ol#topicPreview');
    }
  }, "json");
  return false;
}

function Ajax_Loading(message) {
  if (message) {
    $("#loading-layer-text").html(message);
  }
  var setX = ($(window).width() - $("#loading-layer").width()) / 2;
  var setY = ($(window).height() - $("#loading-layer").height()) / 2;
  $("#loading-layer").css({
    left: setX + "px",
    top: setY + "px",
    position: 'fixed',
    zIndex: '99'
  });
  $("#loading-layer").fadeTo('slow', 0.6);
};

function editTopic(id) {
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'topic_edit',
    id: id,
  }, function (data) {
    Ajax_close('');
    $('.editTopic').remove();
    $('#topic_item-' + id).after(data);
  });

};

function addReplicVote() {
  $('<dt>&nbsp;</dt><dd><input type="text" name="vote_replic[]" autocomplete="off" value="" size="50" maxlength="100" class="forum_input"></dd>').insertBefore('.insert_belov');
}

function doAddMessage() {
  var form = document.getElementById('message_add_form');
  if (form.message_reply.value == '') {
    Alert_popup('Заполните все необходимые поля.', lang[0][23][0]);
    return false;
  }
  if (form.recaptcha_response_field) {
    var recaptcha_response_field = Recaptcha.get_response();
    var recaptcha_challenge_field = Recaptcha.get_challenge();
  } else if (form.question) {
    var recaptcha_response_field = form.question.value;
    var recaptcha_challenge_field = form.question_sec.value;
  } else {
    var recaptcha_response_field = '';
    var recaptcha_challenge_field = '';
  }
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'add_msg_ajax',
    text_msg: form.message_reply.value,
    topic_id: form.topict_id.value,
    recaptcha_response_field: recaptcha_response_field,
    recaptcha_challenge_field: recaptcha_challenge_field
  }, function (data) {
    var data = jQuery.parseJSON(data);
    Ajax_close('');
    if (data.param == 0) {
      Alert_popup(data.data, lang[0][23][0]);
    } else if (data.param == 1) {
      if ($("#message-" + data.id).length) {
        $("#message-" + data.id).replaceWith(data.data)
      } else {
        $("#addNewMsg").append(data.data)
      }
      form.message_reply.value = ''
    } else if (data.param == 2) {
      $("#addNewMsg").append(data.data);
      form.message_reply.value = ''
    }
  });
}

 
$(document).ready(function () {
  $("input[type='checkbox']").change(function () {
    var CheckIdTopic = $(this).val();
    var inArrPos = $.inArray(CheckIdTopic, arrTopic);
    if ($(this).attr('checked')) {
      arrTopic.push(CheckIdTopic);
    } else {
      arrTopic.splice(inArrPos, 1);
    }
    if ($(arrTopic).length > 0) {
      if ($("#control_feed").css("display") == "none") {
        $("#control_feed").show();
      }
    } else {
      $("#control_feed").hide();
    }
  });

});

function topicConfigure(action) {
  if ($(arrTopic).length == 0) {
    Alert_popup('Тема не выбраны.', lang[0][23][0]);
    return;
  }
  Ajax_Loading('');
  $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'mass_configure',
    arrUnFeed: arrTopic,
    action_type: action
  }, function (data) {
    Ajax_close('');
    if (data.param == 1) {
      if (action == 'delete') {
        $(arrTopic).each(function (index, value) {
          $("#topic_item-" + value).remove();
          Alert_popup(data.data, lang[0][23][0]);
          return;
        });
      } else if (action == 'move') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + lang[0][23][0] + "' style='display:none'>" + data.data + "</div>");
        $(".DialogForum").remove();
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 500,
          buttons: {
            "Переместить": function () {
              $(arrTopic).each(function (index, value) {
                $("#topic_item-" + value).remove();
              });
              $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
                be_action: 'mass_configure',
                arrUnFeed: arrTopic,
                action_type: 'move_complit',
                new_tree: $('#new_tree').val()
              }, function (data) {
                Ajax_close('');
                Alert_popup(data.data, lang[0][23][0]);
              });
              $(this).dialog("close");
              $("#bepopup").remove();
            }
          }
        });
      } else if (action == 'merge') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + lang[0][23][0] + "' style='display:none'>" + data.data + "</div>");
        $(".DialogForum").remove();
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 500,
          buttons: {
            "Объединить": function () {
              $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
                be_action: 'mass_configure',
                arrUnFeed: arrTopic,
                action_type: 'merge_complit',
                new_name: $('#new_name').val()
              }, function (data) {
                Ajax_close('');
                $(arrTopic).each(function (index, value) {
                  if (value != data.newId) {
                    $("#topic_item-" + value).remove();
                  }
                });
                Alert_popup(data.data, lang[0][23][0]);
                return;
              });
              $(this).dialog("close");
              $("#bepopup").remove();
            }
          }
        });
      } else {
        Alert_popup(data.data, lang[0][23][0]);
      }
    } else {
      Alert_popup(data.data, lang[0][23][0]);
    }
  });
}
function DropDownMenuForum(obj, e, menucontents, menuwidth) {
  if (window.event) event.cancelBubble = true;
  else if (e.stopPropagation) e.stopPropagation();
  var menudiv = $('#dropmenudiv');
  if (menudiv.is(':visible')) {
    clearhidemenu();
    menudiv.fadeOut('fast');
    return false;
  }
  menudiv.remove();
  $('body').append('<div id="dropmenudiv" style="display:none;position:absolute;z-index:100;width:165px;"></div>');
  menudiv = $('#dropmenudiv');
  menudiv.html(menucontents.join(""));
  if (menuwidth) menudiv.width(menuwidth);
  var windowx = $(document).width() - 15;
  var offset = $(obj).offset();
  if (windowx - offset.left < menudiv.width()) offset.left = offset.left - (menudiv.width() - obj.offsetWidth);
  menudiv.css({
    left: offset.left + "px",
    top: offset.top + obj.offsetHeight + "px"
  });
  menudiv.fadeTo('fast', 0.9);
  menudiv.mouseenter(function () {
    clearhidemenu();
  }).mouseleave(function () {
    delayhidemenu();
  });
  $(document).one("click", function () {
    hidemenu();
  });
  return false;
};

function unFeed() {
  if ($(arrTopic).length == 0) {
    Alert_popup('Для того что бы отказаться от подписки нужно выбрать темы.', lang[0][23][0]);
    return;
  }
  Ajax_Loading('');
  $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'un_feed',
    arrUnFeed: arrTopic,
  }, function (data) {
    Ajax_close('');
    if (data.param == 1) {
      $(data.data).remove()
    } else if (data.param == 2) {
      $(".listTopicBlock").html(data.data)
      $("#control_feed").remove();
    } else {
      Alert_popup(data.data, lang[0][23][0]);
    }
  });
}

function poll(action) {
  if (action == 'go_poll') {
    $(".replicPoll ol").css('display', 'block');
    $("#voteButton, #resultButton").css('display', 'inline');
    $("#goVoteButton, .resultAjax").css('display', 'none');
    return false;
  }
  if (action == 'vote') {
    var id = $('input[class=pollInputTopic]:checked').val();
    if (!id) {
      Alert_popup('Вы не выбрали вариант ответа.', lang[0][23][0]);
      return false;
    }
  }
  var form = $("#poll_submit").serialize();
  Ajax_Loading('');
  $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php?" + form, {
    be_action: action,
  }, function (data) {
    if (data.param == 1) {
      if (action == 'result') {
        $(".resultAjax").remove();
        $("#voteButton, #resultButton, .replicPoll ol").css('display', 'none');
        $("#goVoteButton").css('display', 'inline');
      } else if (action == 'vote') {
        $(".buttonsPoll").remove();
        $(".replicPoll ol").css('display', 'none');
      }
      $(data.data).insertBefore('.replicPoll ol');
    }
  });
  Ajax_close('');
}

function deleteAnswerVote(id, type) {
  var count = $(".listBoxAnswer").length - 1;
  if (count == 0) {
    Alert_popup('В опросе должен присутствовать минимум один вариант ответа.', lang[0][23][0]);
    return false;
  }
  if (type == 1) {
    $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
      be_action: 'delete_answer_vote',
      id: id
    }, function (data) {
      if (data.param == 1) {
        $('tr#' + id).remove();
        $('#elementVoteForum_' + id).remove();
      }
    }, "json");
  } else {
    $('tr#' + id).remove();
  }
}

function addReplicVotePopup() {
  var id = new Date();
  $('<tr class="listBoxAnswer" id="' + id.getMilliseconds() + '"><td><a onclick="deleteAnswerVote(' + id.getMilliseconds() + ',0); return false;" href="#" class="deleteAnswerVote">Удалить</a></td><td><input type="text" autocomplete="off" name="new_vote_replic[]" value="" size="50" maxlength="100" style="width:250px !important" class="forum_input PopupElementInput"></td></tr>').insertBefore('#insert');
}

function pollEditor(id) {
  Ajax_Loading('');
  if (!id) {
    Alert_popup('Не удалось инициализировать параметры передачи данных о голосовании.', lang[0][23][0]);
    return false;
  }
  var b = {};
  b['Закрыть'] = function () {
    $(this).dialog("close");
  };
  b['Сохранить'] = function () {
    Ajax_Loading('');
    if (document.getElementById('vote_editor').vote_titl.value == '') {
      Alert_popup('Заполните все необходимые поля.', lang[0][23][0]);
      Ajax_close('');
      return false;
    }
    var form = $("#vote_editor").serialize();
    $.post(dle_root + "engine/bullet_energy/ajax/site.php?" + form, {
      be_action: 'save_editor_vote',
    }, function (data) {
      if (data.param == 1) {
        document.location = location.href.split('#')[0];
      } else {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
      Ajax_close('');
    }, "json");
  };
  b['Удалить'] = function () {
    Ajax_Loading('');
    var form = $("#vote_editor").serialize();
    $.post(dle_root + "engine/bullet_energy/ajax/site.php?" + form, {
      be_action: 'delete_vote',
    }, function (data) {
      if (data.param == 1) {
        document.location = location.href.split('#')[0];
      } else {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
      Ajax_close('');
    }, "json");

  };
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'get_editor_vote',
    id: id
  }, function (data) {
    if (data) {
      if (data.param == '1') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='Редактирование опроса' style='display:none'>" + data.data + "</div>");
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 550,
          buttons: b
        });
      } else {
        Alert_popup(data.data, lang[0][23][0]);

      }
    }
  }, "json");

  Ajax_close('');
}

function doVoteAllAnswer(idPoll, idAnswer) {
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'all_answer',
    id: idPoll,
    id_answer: idAnswer
  }, function (data) {
    if (data) {
      if (data.param == '1') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + data.titl + "' style='display:none'>" + data.data + "</div>");
        $(".DialogForum").remove();
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 500,
          buttons: {
            "Закрыть": function () {
              $(this).dialog("close");
              $("#bepopup").remove();
            }
          }
        });
      }
    }
  }, "json");
  Ajax_close('');
  return false;
}

function doWarning(id, action, access) {
  Ajax_Loading('');
  var b = {};
  b['Закрыть'] = function () {
    $(this).dialog("close");
  };
  if (access == '1') {
    b['Понизить уровень предупреждений'] = function () {
      $(this).dialog("close");
      var bt = {};
      bt['Закрыть'] = function () {
        $(this).dialog('close');
      };
      bt[dle_p_send] = function () {
        if ($('#bepopup-promt-text').val().length < 1) {
          $('#bepopup-promt-text').addClass('ui-state-error');
        } else {
          if (!isNumber($('#ball_warn').val())) {
            $('#ball_warn').addClass('ui-state-error');
            return false;
          }
          var response = $('#bepopup-promt-text').val()
          $(this).dialog('close');
          $('#dlepopup').remove();
          $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
            be_action: 'set_warning',
            id: id,
            action: 'down',
            response: response,
            ball: $('#ball_warn').val(),
            log_warn: access
          }, function (data) {
            if (data.param == 1) {
              Alert_popup(data.data, lang[0][23][0]);
            } else {
              Alert_popup(data.data, lang[0][23][0]);
            }
            Ajax_close('');
          }, "json");
        }
      };
      $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        id: id,
        be_action: 'warning',
        action: action,
        log_warn: access
      }, function (data) {
        if (data.param == 1) {
          $('#bepopup').remove();
          $('body').append("<div id='bepopup' title='Понижение уровня предупреждений пользователя " + data.user + "' style='display:none'>Введите причину по которой понижается уровень предупреждений:<textarea name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%;height:100px; padding: .4em;'></textarea><dl class='pupopForumElementDl'><dt>Текущий уровень предупреждений пользователя:</dt><dd style=\"color:red\">" + data.ball_user + "</dd></dl><dl class='pupopForumElementDl'><dt>На сколько баллов <b>понизить</b> уровень предупреждений:</dt><dd><input id='ball_warn' type='text' name='ball_warn' value='' size='50' maxlength='200' autocomplete='off'></dd></dl></div>" + data.js);
          $('#bepopup').dialog({
            dialogClass: 'DialogForum',
            autoOpen: true,
            width: 500,
            show: 'fade',
            buttons: bt
          });

        } else {
          Alert_popup(data.data, lang[0][23][0]);
        }
        Ajax_close('');
      }, "json");

    };
    b['Повысить уровень предупреждений'] = function () {
      $(this).dialog("close");
      var bt = {};
      bt['Закрыть'] = function () {
        $(this).dialog('close');
      };
      bt[dle_p_send] = function () {
        if ($('#bepopup-promt-text').val().length < 1) {
          $('#bepopup-promt-text').addClass('ui-state-error');
        } else {
          if (!isNumber($('#ball_warn').val())) {
            $('#ball_warn').addClass('ui-state-error');
            return false;
          }
          var response = $('#bepopup-promt-text').val()
          $(this).dialog('close');
          $('#dlepopup').remove();
          $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
            be_action: 'set_warning',
            id: id,
            action: 'up',
            response: response,
            date: $('#datepicker_o').val(),
            ball: $('#ball_warn').val(),
            log_warn: access
          }, function (data) {
            if (data.param == 1) {
              Alert_popup(data.data, lang[0][23][0]);
            } else {
              Alert_popup(data.data, lang[0][23][0]);
            }
            Ajax_close('');
          }, "json");
        }
      };
      $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
        id: id,
        be_action: 'warning',
        action: action,
        log_warn: access
      }, function (data) {
        if (data.param == 1) {
          $('#bepopup').remove();
          $('body').append("<div id='bepopup' title='Повышение уровня предупреждений пользователя " + data.user + "' style='display:none'>Введите текст предупреждения:<textarea name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%;height:100px; padding: .4em;'></textarea><dl class='pupopForumElementDl'><dt>Текущий уровень предупреждений пользователя:</dt><dd style=\"color:red\">" + data.ball_user + "</dd></dl><dl class='pupopForumElementDl'><dt>На сколько баллов <b>повысить</b> уровень предупреждений:</dt><dd><input id='ball_warn' type='text' name='ball_warn' value='' size='50' maxlength='200' autocomplete='off'></dd></dl><div style=\"margin-top:10px;color:#969697\">При достижение уровня предупреждений 100 баллов, пользователь будет заблокирован.</div></div>");
          $('#bepopup').dialog({
            dialogClass: 'DialogForum',
            autoOpen: true,
            show: 'fade',
            width: 500,
            buttons: bt
          });

        } else {
          Alert_popup(data.data, lang[0][23][0]);
        }
        Ajax_close('');
      }, "json");

    };
  }
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'warning',
    id: id,
    action: action,
    log_warn: access
  }, function (data) {
    if (data) {
      if (data.param == '1') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + data.title + "' style='display:none'>" + data.data + "</div>");
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 580,
          buttons: b
        });
      } else {
        Alert_popup(data.data, lang[0][23][0]);

      }
      Ajax_close('');
    }
  }, "json");
}

function doWarningDelete(id) {
  BEconfirm('Вы уверены, что хотите удалить данное предупреждение?', 'Подтверждение', function () {
    $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'warning_delete',
      id: id,
    }, function (data) {
      if (data == 'ok') {
        //document.location = location.href;
      } else if (data == 'die') {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
    });
  });
  return false;
}

function MsgEdit(id, hash) {
  Ajax_Loading('');
  cache[id] = $("#message-" + id).html();
  $.getJSON(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'edit_msg_ajax',
    id: id,
    hash: hash
  }, function (data) {
    Ajax_close('');
    if (data.param == 0) {
      Alert_popup(data.data, lang[0][23][0]);
    } else if (data.param == 1) {
      $("#message-" + id + " .controlMsgBox").hide()
      $("#message-" + id + " .configureMessage").hide()
      $("#MsgTextBox-" + id).html(data.data)


    }
  });
}

function editorModerBlock(idElement) {

  $("#" + idElement).hide()
  $("#editor_" + idElement).css('display', 'block');

}

function MsgEditSave() {
  var form = document.getElementById('message_edit_form');
  if (form.editmsgform.value == '') {
    Alert_popup('Сообщение не может быть пустым.', lang[0][23][0]);
    return false;
  }
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'save_msg_ajax_edit',
    text_msg: form.editmsgform.value,
    topic_id: form.topict_id.value,
    msg_id: form.msg_id.value
  }, function (data) {
    Ajax_close('');
    var data = jQuery.parseJSON(data);
    if (data.param == 0) {
      Alert_popup(data.data, lang[0][23][0]);
    } else if (data.param == 1) {
      $("#message-" + data.id).replaceWith(data.data)
      $("#message-" + data.id + " .controlMsgBox").show()
      $("#message-" + data.id + " .configureMessage").show()
    }
  });
}

function MsgEditCancel(id) {
  $("#message-" + id).html(cache[id]);
}

function showBlock(block) {
  var item = $(block);
  if (item.css("display") == "none") {
    item.show('blind', {}, 500);
  } else {
    item.hide('blind', {}, 500);
  }
}

function submitKey(action) {
  //console.log(action.ctrlKey)
  if (action.keyCode == 10 || action.keyCode == 13 && action.ctrlKey) {
    doAddMessage();
  }
  //if (action.keyCode == 71 && action.ctrlKey) {
  //		
  //	}
}

function ReadTree(id) {
  BEconfirm('Вы уверены, что хотите отметить данный раздел форума как прочитанный?', 'Подтверждение', function () {
    $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'read_tree',
      id: id,
    }, function (data) {
      if (data == 'ok') {
        document.location = location.href.split('#')[0];
      } else if (data == 'die') {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
    });
  });
  return false;
}

function lockPost(id) {
  BEconfirm('Вы уверены, что хотите закрепить это сообщение?', 'Подтверждение', function () {
    $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'lock',
      id: id,
    }, function (data) {
      if (data.linck) {
        $("#lockPost-" + id).replaceWith(data.linck)
      }
      Alert_popup(data.data, lang[0][23][0]);
    });
  });
  return false;
}

function UnLockPost(id) {
  BEconfirm('Вы уверены, что хотите открепить это сообщение?', 'Подтверждение', function () {
    $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'unlock',
      id: id,
    }, function (data) {
      if (data.linck) {
        $("#lockPost-" + id).replaceWith(data.linck)
      }
      Alert_popup(data.data, lang[0][23][0]);
    });
  });
  return false;
}

function saveEditTopic(id) {
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'update_topic',
    topic_id: id,
    topic_name: $("input[name='titl']").attr("value"),
    topic_status: $('input:checkbox[name=status]').is(':checked') ? 1 : 0,
    topic_fixed: $('input:checkbox[name=fixed]').is(':checked') ? 1 : 0,
    topic_visible: $("select[name='visible_param'] :selected").val(),
    topic_tree_new: $("select[name='new_tree'] :selected").val()
  }, function (data) {
    Ajax_close('');
    if (data == 'die') {
      Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
    } else if (data == 'no_edit') {
      Alert_popup('Вы не вносили изменений, сохранять нечего.', lang[0][23][0]);
    } else {
      $('.editTopic').remove();
      $("#topic_item-" + id).replaceWith(data);
      $('ol#topicPreview').remove();
    }
  });
};

function saveCloze(id) {
  $('#topic_item_edit-' + id).remove();
};

function Ajax_close(message) {
  $("#loading-layer").fadeOut('slow');
};

function GetQuikNav() {
  //Функция вывода быстрой навигации по форуму (Попам)	
};

function getUserCard(id_user, profile, user_name) {
  var b = {};
  b[menu_profile] = function () {
    document.location = profile;
  };
  if (dle_group != 5) {

    b[menu_send] = function () {
      document.location = dle_root + 'index.php?do=pm&doaction=newpm&username=' + user_name;
    };
  }

  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'get_profile_card',
    id: id_user,
    skin: dle_skin
  }, function (data) {
    Ajax_close('');
    if (data != 'die') {
      $(".DialogForum").remove();
      $("#forum_user_card").remove();
      $("body").append(data);
      $('#forum_user_card').dialog({
        dialogClass: 'DialogForum',
        autoOpen: true,
        show: 'fade',
        buttons: b,
        width: 450
      });
    } else {
      Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
    }

  });
  return false;
}; /*-----------------------------------------------------------------------------------------------------------------------------------------------*/

function getMessageLinck(id) {
  Alert_popup('<input class="w100 PopupElementInput msgLinck" value="' + $('#message-' + id + ' .getMessageLinck').attr("href") + '" />', 'Постоянная ссылка на сообщение');
};

function cloneElementVoteOut() {
  $('<input type="text" name="vote_qot[]" value="" size="50" maxlength="200" class="forum_input">').insertBefore('.voteOut');
}

function blockCase(triger, block) {
  if ($('input:checkbox[name=' + triger + ']:checked').val() == 1) {
    $('#' + block).css("display", "table");
  } else {
    $('#' + block).css("display", "none");
  }
};

function BeAlert(message, title) {
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    width: 470,
    buttons: {
      "Ok": function () {
        $(this).dialog("close");
        $("#bepopup").remove();

      }
    }
  });
};

function BEprompt(message, d, title, callback, allowempty) {
  var b = {};
  b[lang[0][22][3]] = function () {
    $(this).dialog("close");
  };
  b[lang[0][22][2]] = function () {
    if (!allowempty && $("#bepopup-promt-text").val().length < 1) {
      $("#bepopup-promt-text").addClass('ui-state-error');
    } else {
      var response = $("#bepopup-promt-text").val()
      $(this).dialog("close");
      $("#bepopup").remove();
      if (callback) callback(response);
    }
  };
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><p>" + message + "</p><input type='text' name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value='" + d + "'/></div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    width: 470,
    buttons: b
  });
};

function DelAttach(id, hash) {
  BEconfirm('Вы уверены, что хотите удалить этот файл?', 'Подтверждение', function () {
    $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'delete_attach',
      id: id,
      hash: hash
    }, function (data) {
      if (data == 'ok') {
        Alert_popup('Файл удален.', lang[0][23][0]);
        $("#" + id).remove();
      } else if (data == 'die') {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
    });
  });
  return false;
}

function Alert_popup(message, title) {
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    width: 470,
    buttons: {
      "Ok": function () {
        $(this).dialog("close");
        $("#bepopup").remove();
      }
    }
  });
};

function BEconfirm(message, title, callback) {
  var b = {};
  b['Нет'] = function () {
    $(this).dialog("close");
    $("#bepopup").remove();
  };
  b['Да'] = function () {
    $(this).dialog("close");
    $("#bepopup").remove();
    if (callback) callback();
  };
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='" + title + "' style='display:none'><br />" + message + "</div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    width: 470,
    buttons: b
  });
};

function TopicRating(param, topic) {
  $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'topic_rating',
    id: topic,
    type: param
  }, function (data) {
    if (data == 'ok') {
      Alert_popup('Голос учтен.', lang[0][23][0]);
    } else if (data == 'dubl') {
      Alert_popup('Вы уже голосовали в этой теме.', lang[0][23][0]);
    } else if (data == 'die') {
      Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
    }
  });
}

function PostComplaint(id) {
  var b = {};
  b[lang[0][23][2]] = function () {
    $(this).dialog('close');
  };
  b[lang[0][23][1]] = function () {
    if ($('#bepopup-promt-text').val().length < 1) {
      $('#bepopup-promt-text').addClass('ui-state-error');
    } else {
      var response = $('#bepopup-promt-text').val()
      $(this).dialog('close');
      $('#bepopup').remove();
      $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
        be_action: 'complaint',
        id: id,
        text: response
      }, function (data) {
        if (data == 'ok') {
          Alert_popup('Уведомление успешно отправлено.', lang[0][23][0]);
        } else {
          Alert_popup(data, lang[0][23][0]);
        }
      });
    }
  };
  $('#bepopup').remove();
  $('body').append("<div id='bepopup' title='Укажите текст вашей жалобы для администрации:' style='display:none'><textarea name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%;height:100px; padding: .4em;'></textarea></div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum PostComplaintForm',
    autoOpen: true,
    width: 500,
    show: 'fade',
    buttons: b
  });
};

function doRedirPage(maxPage) {
  var b = {};
  b[lang[0][22][3]] = function () {
    $(this).dialog("close");
  };
  b['Перейти'] = function () {
    if (!isNumber($('#bepopup-promt-page').val())) {
      $('#bepopup-promt-page').addClass('ui-state-error');
    } else {
      var response = $('#bepopup-promt-page').val()
      $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
        be_action: 'redirect',
        go_page: response,
        local: window.location.pathname
      }, function (data) {
        if (data.param == 0) {
          Alert_popup(data.data, 'Информация');
        } else {
          window.location = data.data
        }
      });
    }
  };
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='Переход на другую страницу' style='display:none'><p>Введите номер страницы для перехода, максимально допустимая страница " + maxPage + "</p><input type='text' name='bepopup-promt-text' id='bepopup-promt-page' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value=''/></div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    width: 470,
    buttons: b
  });
}

function isNumber(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}

function ShowHide(id) {
  var item = $("#" + id);
  if (document.getElementById('image-' + id)) {
    var image = document.getElementById('image-' + id);
  } else {
    var image = null;
  }
  if (item.css("display") == "none") {
    item.show();
    if (image) {
      image.src = dle_root + 'templates/' + dle_skin + '/bullet_energy/images/bullet_icons/spoiler-minus.gif';
    }
  } else {
    item.hide();
    if (image) {
      image.src = dle_root + 'templates/' + dle_skin + '/bullet_energy/images/bullet_icons/spoiler-plus.gif';
    }
  }
};

function DeleteMsg(id, hash) {
  BEconfirm('Вы уверены, что хотите удалить сообщение?', dle_confirm, function () {
    $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
      be_action: 'delete_msg',
      id: id,
      hash: hash
    }, function (data) {
      if (data == 'ok') {
        Alert_popup('Сообщение удалено.', lang[0][23][0]);
        $("#message-" + id).remove();
      } else if (data == 'die') {
        Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
      }
    });
  });
}

function topicOption(id) {
  Ajax_Loading('');
  $.post(dle_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'topic_option',
    id: id
  }, function (data) {
    dialogOptionTopic(data, 'Редактирование темы');
  });
  Ajax_close('');
}

function like(id) {
  Ajax_Loading('');
  $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'like',
    id: id
  }, function (data) {
    if (data.param == 0) {
      Alert_popup(data.data, lang[0][23][0]);
    } else if (data.param == 1) {
      $("#message-" + id + ' .likeContent').replaceWith(data.linck)
      $(".likeBox-" + id).replaceWith(data.likeBlock)
    }
  });
  Ajax_close('');
  return false;
}

function topicFeed(id) {
  Ajax_Loading('');
  $.getJSON(dle_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'feed',
    id: id
  }, function (data) {
    if (data.param == 0) {
      Alert_popup(data.data, lang[0][23][0]);
    } else if (data.param == 1) {
      $("#feedClick").replaceWith(data.data)
      $("#bepopup").remove();
      $("body").append("<div id='bepopup' title='Информация' style='display:none'><br>" + data.sub + "</div>");
      $(".DialogForum").remove();
      $('#bepopup').dialog({
        dialogClass: 'DialogForum',
        autoOpen: true,
        show: 'fade',
        width: 500,
        buttons: {
          "Закрыть": function () {
            $(this).dialog("close");
            $("#bepopup").remove();
          }
        }
      });
    }
  });
  Ajax_close('');
  return false;
}

function getAllLike(id) {
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'like_all',
    id: id
  }, function (data) {
    if (data) {
      if (data.param == '1') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + data.titl + "' style='display:none'>" + data.data + "</div>");
        $(".DialogForum").remove();
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 500,
          buttons: {
            "Закрыть": function () {
              $(this).dialog("close");
              $("#bepopup").remove();
            }
          }
        });
      }
    }
  }, "json");
  Ajax_close('');
  return false;
}

function getTrophiesUser(idUser) {
  Ajax_Loading('');
  $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
    be_action: 'user_trophies',
    id_user: idUser
  }, function (data) {
    if (data) {
      if (data.param == '1') {
        $("#bepopup").remove();
        $("body").append("<div id='bepopup' title='" + data.titl + "' style='display:none'>" + data.data + "</div>");
        $(".DialogForum").remove();
        $('#bepopup').dialog({
          dialogClass: 'DialogForum',
          autoOpen: true,
          show: 'fade',
          width: 500,
          buttons: {
            "Закрыть": function () {
              $(this).dialog("close");
              $("#bepopup").remove();
            }
          }
        });
      }
    }
  }, "json");
  Ajax_close('');
  return false;
}

function dialogOptionTopic(message, title) {
  Ajax_Loading('');
  $("#bepopup").remove();
  $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
  $('#bepopup').dialog({
    dialogClass: 'DialogForum',
    autoOpen: true,
    show: 'fade',
    width: 500,
    buttons: {
      "Отмена": function () {
        $(this).dialog("close");
        $("#bepopup").remove();
      },
      "Сохранить": function () {
        $.post(dle_root + "engine/bullet_energy/ajax/site.php", {
          be_action: 'update_topic',
          topic_id: $("input[name='idTopic']").attr("value"),
          topic_name: $("input[name='titl']").attr("value"),
          topic_status: $('input:checkbox[name=status]').is(':checked') ? 1 : 0,
          topic_fixed: $('input:checkbox[name=fixed]').is(':checked') ? 1 : 0,
          topic_visible: $("select[name='visible_param'] :selected").val(),
          topic_tree_new: $("select[name='new_tree'] :selected").val(),
          topic_decription: $("#option_topic").val()
        }, function (data) {
          Ajax_close('');
          if (data == 'die') {
            Alert_popup('Обнаружена ошибка.', lang[0][23][0]);
          } else if (data == 'no_edit') {
            Alert_popup('Вы не вносили изменений, сохранять нечего.', lang[0][23][0]);
          } else {
            $(this).dialog("close");
            $("#bepopup").remove();
            Alert_popup('Тема обновлена.', lang[0][23][0]);
          }
        });

      }
    }
  });
  Ajax_close('');
};

function fast_insert(name) {
  if (!document.getElementById('message_add_form')) return false;
  var input = document.getElementById('message_add_form').message_reply;
  input.focus();
  if (be_txt != "") {
    input.value += be_txt;
  } else {
    input.value += "[b]" + name + "[/b]," + "\n";
  }
};

function copy_fast_insert(qname) {
  be_txt = '';
  if (window.getSelection) {
    be_txt = window.getSelection();
  } else if (document.selection) {
    be_txt = document.selection.createRange().text;
  }
  if (be_txt != "") {
    be_txt = '[quote=' + qname + ']' + be_txt + '[/quote]\n';
  }
};